PRO plot_bestfit_seds

; list of gals :
gals=file_search('./','*bestfitmodel')

ngals=n_elements(gals)
for i=0,ngals-1 do gals[i]=strmid((strsplit(gals[i],'.',/extr))[0],1)

for k=0,ngals-1 do begin

; conversion
   gal=gals[k]
   p=read_ascii(gal+'.fnu',data=3)
   p=p.(0)
   p=double(p)

   num=read_ascii('filtP.par',data=5)
   num=(num.(0))[0,*]
   lam=read_ascii('filtcalib_sdss.dat',data=1)
   lam=(lam.(0))[4,num-1]
   nlam=n_elements(lam)

   t=read_ascii('./'+gal+'.bestfitmodel')
   t=t.(0)

   dtp=p[findgen(nlam)*2+2]
   edtp=p[findgen(nlam)*2+3]

   edtp=sqrt(edtp^2+(0.1*dtp)^2) ; add the same overall uncertainty added by MCMC


   IF (total(finite(t[1,*])) ne 0) THEN BEGIN 

      loadct,39
      !p.font=0
      !x.thick=4
      !y.thick=4
      !p.thick=4
      !p.charthick=4
      !p.charsize=1.2
   
      set_plot,'ps'
      device,file='./'+gal+'_sed_obs.ps',/color,/helvetica

      wup=where(edtp gt dtp,comp=wnup)

      plot,t[0,*],t[2,*],/xlog,/ylog,xran=[1e3,1e8],xtitle='!9l!3 [Angstrom]',ytitle='flux [mJy]'
      oploterror,lam[wnup],dtp[wnup],edtp[wnup],psym=4,col=50,errcol=50
      xyouts,3200,11000,gal,chars=1.4,/device

      plotsym2,1,2,/fill
      !p.thick=10
      if (wup[0] ne -1) then oplot,lam[wup],(edtp+dtp)[wup],psym=8,col=50
      
      device,/close
      set_plot,'x'
   
      !x.thick=1
      !y.thick=1
      !p.thick=1
      !p.charthick=1
      !p.charsize=1
      !p.font=-1

   ENDIF

endfor


end
