#!/bin/bash

##file to automatize the running of CIGALEMC for a set of N galaxies; it takes f##luxes from the file "table.txt" - each line is a SED in magnitudes of fluxes-,
## it transforms all fluxes in mJy (running ./prepphotdat) and then it runs CIGALEMC (./params.ini)

# compute the number of lines in the input file ("table.txt")
numf=`wc -l $1 | sed "s/\$1//"`
i=1


##loop around the number of lines in the file $1
while [ $i -le $numf ] ; do
##take each line from $1 and create a temporary file whose name is determined 
## by the name in the "table.txt" file
   line=`head -$i $1 | tail -1`
   namegal=`echo $line | awk '{print $1}'`
   echo $line > ${namegal}.mag
   
## in order to run prepphotdat I need to change the lines 8 and 10 of the file ## cigale.par to let it know that I want to use a file with the given name.
## backcigale.par is the file I use to do it.   
    head -n 7 ./backcigale.par > ./cigale.par
    echo $namegal >> ./cigale.par
    echo "# (11) Photometric data ('*.mag' or '*.fnu')" >> cigale.par
    echo $namegal >> cigale.par
    tail -n 6 ./backcigale.par >> cigale.par
    ./prepphotdat
## I need to change the file params.ini to label each run 
    head -n 2 ./backparams.ini >params.ini
    echo "file_root = chains/$namegal" >> params.ini
    tail -n 126 ./backparams.ini >> params.ini
    mpirun -np 6 ./cosmomc ./params.ini  
    i=`expr $i + 1`

done

exit 0
